Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.discovery
Interface DiscoveryManagement

All Known Implementing Classes:
  LookupDiscovery, LookupDiscoveryManager, LookupLocatorDiscovery

public interface DiscoveryManagement

This interface defines methods related to the discovery event mechanism and discovery process termination. Through this interface an entity can register or un-register for discovery events, discard a lookup service, or terminate the discovery process.

Method Summary
`void` | `addDiscoveryListener(DiscoveryListener listener)` Adds an instance of `DiscoveryListener` to the set of objects listening for discovery events.
`void` | `discard(ServiceRegistrar proxy)` Removes an instance of `ServiceRegistrar` from the managed set of lookup services, making the corresponding lookup service eligible for re-discovery.
`ServiceRegistrar[]` | `getRegistrars()` Returns an array of instances of `ServiceRegistrar`, each corresponding to a proxy to one of the currently discovered lookup services.
`void` | `removeDiscoveryListener(DiscoveryListener listener)` Removes a listener from the set of objects listening for discovery events.
`void` | `terminate()` Ends all discovery processing being performed by the current implementation of this interface.

Method Detail

### addDiscoveryListener

    public void addDiscoveryListener(DiscoveryListener listener)

  Adds an instance of `DiscoveryListener` to the set of objects listening for discovery events. Once the listener is registered, it will be notified of all lookup services discovered to date, and will then be notified as new lookup services are discovered or existing lookup services are discarded.

  If `null` is input, this method takes no action. If the listener input to this method duplicates (using the `equals` method) another element in the current set of listeners, no action is taken.

  Parameters:
    `listener` - an instance of `DiscoveryListener` corresponding to the listener to add to the set of listeners.
  See Also:
    `removeDiscoveryListener(net.jini.discovery.DiscoveryListener)`, `DiscoveryListener`

### removeDiscoveryListener

    public void removeDiscoveryListener(DiscoveryListener listener)

  Removes a listener from the set of objects listening for discovery events. If the listener object input to this method does not exist in the set of listeners, then this method will take no action.

  Parameters:
    `listener` - an instance of `DiscoveryListener` corresponding to the listener to remove from the set of listeners.
  See Also:
    `addDiscoveryListener(net.jini.discovery.DiscoveryListener)`, `DiscoveryListener`

### getRegistrars

    public ServiceRegistrar[] getRegistrars()

  Returns an array of instances of `ServiceRegistrar`, each corresponding to a proxy to one of the currently discovered lookup services. For each invocation of this method, a new array is returned.

  Returns:
    array of instances of `ServiceRegistrar`, each corresponding to a proxy to one of the currently discovered lookup services
  See Also:
    `ServiceRegistrar`

### discard

    public void discard(ServiceRegistrar proxy)

  Removes an instance of `ServiceRegistrar` from the managed set of lookup services, making the corresponding lookup service eligible for re-discovery. This method takes no action if the parameter input to this method is `null`, or if it does not match (using `equals`) any of the elements in the managed set.

  Parameters:
    `proxy` - the instance of `ServiceRegistrar` to remove from the managed set of lookup services
  See Also:
    `ServiceRegistrar`

### terminate

    public void terminate()

  Ends all discovery processing being performed by the current implementation of this interface. After this method is invoked, no new lookup services will be discovered, and the effect of any new operations performed on the current implementation object are undefined. Any additional termination semantics must be defined by the implementation class itself.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved